#include "Sky.hpp"
#include <graphics/Graphics.hpp>

Sky::Sky(
  const unsigned int size,
  const unsigned int n
) {
  for (
    unsigned int i = 0;
    i < n;
    i++
  ) {
    static Vector v;
    v.set(
      Graphics::get()->R * size
    ).rotateZ(
      - Math::PIdiv2 * Math::rand()
    ).rotateY(
      Math::PImul2 * Math::rand()
    );
    addFace(
      new Face(
        addVertex(
          new Vertex(
            v.x,
            v.y,
            v.z
          )
        )
      )
    );
  }
}
